Index: jobvista-frontend/src/redux/actionTypes.js
===================================================================
--- jobvista-frontend/src/redux/actionTypes.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-frontend/src/redux/actionTypes.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -4,23 +4,2 @@
 export const UPDATE_TOKEN = "UPDATE_TOKEN"
 export const CURRENT_USER = "CURRENT_USER"
-
-export const ADD_JOB_ADVERTISEMENT = "ADD_JOB_ADVERTISEMENT"
-export const EDIT_JOB_ADVERTISEMENT = "EDIT_JOB_ADVERTISEMENT"
-export const DELETE_JOB_ADVERTISEMENT = "DELETE_JOB_ADVERTISEMENT"
-export const FETCH_JOB_ADVERTISEMENTS = "FETCH_JOB_ADVERTISEMENTS"
-export const FILTER_JOB_ADVERTISEMENTS = "FILTER_JOB_ADVERTISEMENTS"
-export const FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER = "FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER"
-export const FILTER_JOB_ADVERTISEMENTS_BY_RECRUITER = "FILTER_JOB_ADVERTISEMENTS_BY_RECRUITER"
-export const SUBMIT_APPLICATION = "SUBMIT_APPLICATION"
-export const UPDATE_APPLICATION_STATUS = "UPDATE_APPLICATION_STATUS"
-export const FETCH_APPLICATIONS_BY_JOB_ID = "FETCH_APPLICATIONS_BY_JOB_ID"
-export const FETCH_APPLICATIONS_BY_JOB_SEEKER_ID = "FETCH_APPLICATIONS_BY_JOB_SEEKER_ID"
-export const DOWNLOAD_RESUME = "DOWNLOAD_RESUME"
-
-export const FETCH_RECRUITERS = "FETCH_RECRUITERS"
-export const CHANGE_ACCESS = "CHANGE_ACCESS"
-export const SUBMIT_RECRUITER_LOGO = "SUBMIT_RECRUITER_LOGO"
-export const SUBMIT_RECRUITER_COVER = "SUBMIT_RECRUITER_COVER"
-export const SET_LOGO_URL = 'SET_LOGO_URL';
-export const SET_PROFILE_PIC_URL = 'SET_PROFILE_PIC_URL';
-
Index: jobvista-frontend/src/redux/actions/JobSeekerActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/JobSeekerActions.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,67 +1,0 @@
-import axios from "../../axios/axiosInstance";
-import {SET_PROFILE_PIC_URL} from "../actionTypes";
-
-export const JobSeekerActions = {
-
-    submitProfilePic: (formData, callback) => {
-        let jobSeekerId = formData.get("jobSeekerId");
-        let profilePicFile =  formData.get("profilePicFile")
-        return dispatch => {
-            axios.post("/job-seeker/submit-profile-pic", formData, {
-                headers: {
-                    'Content-Type': 'multipart/form-data'
-                }
-            })
-                .then(response => {
-                    const blob = new Blob([profilePicFile])
-                    const profilePicUrl = window.URL.createObjectURL(blob);
-                    dispatch({
-                        type: SET_PROFILE_PIC_URL,
-                        payload: {jobSeekerId, profilePicUrl}
-                    })
-                    callback(true, response)
-                }).catch(error => {
-                    callback(false, error)
-            })
-        }
-    },
-
-    downloadProfilePic: (jobSeekerId, callback) => {
-        return dispatch => {
-            return axios.get("/job-seeker/" + jobSeekerId + "/download-profile-pic", {responseType: "blob"})
-                .then(response => {
-                    const blob = new Blob([response.data])
-                    const profilePicUrl = window.URL.createObjectURL(blob);
-                    dispatch({
-                        type: SET_PROFILE_PIC_URL,
-                        payload: {jobSeekerId, profilePicUrl}
-                    });
-                    callback(true, profilePicUrl)
-                }).catch(error => {
-                    callback(false, error)
-                })
-        }
-    },
-
-    fetchJobSeekerEditDetailsById: (id, callback) => {
-        return dispatch => {
-            return axios.get("/job-seeker/"+id+"/edit-info")
-                .then(response => {
-                    callback(true, response)
-                }).catch(error => {
-                    callback(false, error)
-                })
-        }
-    },
-
-    editJobSeekerDetailsById: (data, id, callback) => {
-        return dispatch => {
-            return axios.post("/job-seeker/"+id+"/edit-info", data)
-                .then(response => {
-                    callback(true, response)
-                }).catch(error => {
-                    callback(false, error)
-                })
-        }
-    }
-}
Index: jobvista-frontend/src/redux/actions/adminActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/adminActions.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,36 +1,0 @@
-import axios from "../../axios/axiosInstance";
-import {CHANGE_ACCESS, FETCH_RECRUITERS} from "../actionTypes";
-
-export const AdminActions = {
-    fetchRecruiters: (callback) => {
-        return dispatch => {
-            axios.get("/admin/recruiters")
-                .then(response => {
-                dispatch({
-                    type: FETCH_RECRUITERS,
-                    recruiters: response.data
-                })
-                callback(true, response)
-            }).catch((error) => {
-                callback(false, error)
-            })
-        }
-    },
-    changeAccess: (recruiterId, access, callback) => {
-        return dispatch => {
-            axios.post("/admin/change-access/" + recruiterId, access, {
-                headers: {
-                    'Content-Type': 'application/json'
-                }
-            }).then(response => {
-                dispatch({
-                    type: CHANGE_ACCESS,
-                    recruiter: response.data
-                })
-                callback(true, response)
-            }).catch((error) => {
-                callback(false, error)
-            })
-        }
-    }
-}
Index: jobvista-frontend/src/redux/actions/applicationActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/applicationActions.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,89 +1,0 @@
-import axios from "../../axios/axiosInstance";
-import {
-    CURRENT_USER,
-    FETCH_APPLICATIONS_BY_JOB_ID,
-    FETCH_APPLICATIONS_BY_JOB_SEEKER_ID,
-    SUBMIT_APPLICATION, UPDATE_APPLICATION_STATUS
-} from "../actionTypes";
-
-export const ApplicationActions = {
-    submitApplication: (application, callback) => {
-        return dispatch => {
-            axios.post("/applications/submit", application, {
-                headers: {
-                    'Content-Type': 'multipart/form-data'
-                }
-            })
-                .then(response => {
-                    dispatch({
-                        type: SUBMIT_APPLICATION,
-                        application: response.data
-                    })
-                    callback(true, response)
-                }).catch(error => {
-                callback(false, error)
-                console.log(error)
-            })
-        }
-    },
-    updateApplicationStatus: (id, status, callback) => {
-        console.log(status)
-        return dispatch => {
-            axios.post("/applications/" + id + "/update", {
-                id: id,
-                status: status
-            })
-                .then(response => {
-                    dispatch({
-                        type: UPDATE_APPLICATION_STATUS,
-                        application: response.data,
-                    })
-                    callback(true, response)
-                }).catch(error => {
-                callback(false, error)
-            })
-        }
-    },
-    fetchApplicationsByJobSeeker: (jobSeekerId, callback) => {
-        return dispatch => {
-            axios.get("/my-applications/" + jobSeekerId)
-                .then(response => {
-                    dispatch({
-                        type: FETCH_APPLICATIONS_BY_JOB_SEEKER_ID,
-                        applicationsByJobSeeker: response.data
-                    })
-                    callback(true, response)
-                }).catch(error => {
-                callback(false, error)
-            })
-        }
-    },
-
-    fetchApplicationsByJobAdId: (jobAdId, callback) => {
-        return dispatch => {
-            axios.get("/job-advertisements/" + jobAdId + "/applications")
-                .then(response => {
-                        dispatch({
-                            type: FETCH_APPLICATIONS_BY_JOB_ID,
-                            applicationsByJobAdId: response.data
-                        })
-                        callback(true, response)
-                    }
-                ).catch(error => {
-                callback(false, error)
-            })
-        }
-    },
-    downloadResume: (id, callback) => {
-        return axios.get("/applications/" + id + "/download-resume", {responseType: "blob"})
-            .then(response => {
-                const blob = new Blob([response.data], {type: 'application/pdf'});
-                const url = window.URL.createObjectURL(blob);
-                callback(true, url);
-            })
-            .catch(error => {
-                callback(false, error)
-            })
-
-    }
-}
Index: jobvista-frontend/src/redux/actions/authActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/authActions.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-frontend/src/redux/actions/authActions.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -43,10 +43,9 @@
                 const response = jwtResponse.data;
                 const token = response.token;
-                //const refreshToken = response.refreshToken;
+                //const refreshToken = response.refreshToken; // Corrected typo
                 const user = {
+                    email: response.email,
                     name: response.name,
-                    role: response.role,
-                    access: response.hasAccess,
-                    id: response.id,
+                    role: response.role
                 };
                 dispatch({
Index: jobvista-frontend/src/redux/actions/jobAdvertisementActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/jobAdvertisementActions.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,137 +1,0 @@
-import axios from "../../axios/axiosInstance";
-import {
-    ADD_JOB_ADVERTISEMENT,
-    CURRENT_USER, DELETE_JOB_ADVERTISEMENT, EDIT_JOB_ADVERTISEMENT,
-    FETCH_JOB_ADVERTISEMENTS,
-    FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER, FILTER_JOB_ADVERTISEMENTS
-} from "../actionTypes";
-
-export const JobAdvertisementActions = {
-    addJobAdvertisement: (jobAdvertisement, callback) => {
-        return dispatch => {
-            axios.post("/job-advertisements/add", jobAdvertisement)
-                .then(response => {
-                    dispatch({
-                        type: ADD_JOB_ADVERTISEMENT,
-                        jobAdvertisement: response.data
-                    })
-                    callback(true)
-                }).catch((error) => {
-                console.error(error)
-                callback(false)
-            })
-        }
-    },
-    editJobAdvertisement: (jobAdvertisement, id, callback) => {
-        return dispatch => {
-            axios.put("/job-advertisements/edit/" + id, jobAdvertisement)
-                .then(response => {
-                    dispatch({
-                        type: EDIT_JOB_ADVERTISEMENT,
-                        jobAdvertisement: response.data
-                    })
-                    callback(true)
-                }).catch((error) => {
-                console.error(error)
-                callback(false)
-            })
-        }
-    },
-    deleteJobAdvertisement: (id, callback) => {
-        return dispatch => {
-            axios.delete("/job-advertisements/delete/" + id)
-                .then(response => {
-                    dispatch({
-                        type: DELETE_JOB_ADVERTISEMENT,
-                        id: id
-                    })
-                    callback(true)
-                }).catch(error => {
-                console.error(error)
-                callback(false)
-            })
-
-        }
-    },
-    fetchJobAdvertisementById: (id, callback) => {
-        axios.get("/job-advertisements/" + id)
-            .then(response => {
-                callback(true, response)
-            }).catch(error => {
-            callback(false, error)
-        })
-    },
-
-    fetchJobAdvertisements: (callback) => {
-        return dispatch => {
-            axios.get("/job-advertisements/all")
-                .then(response => {
-                    dispatch({
-                        type: FETCH_JOB_ADVERTISEMENTS,
-                        jobAdvertisements: response.data,
-                    })
-                    callback(true, response)
-                }).catch((error) => {
-                callback(false, error)
-            })
-        }
-    },
-    filterJobAdvertisements: (filter, callback) => {
-        axios.post("/job-advertisements/filtered", filter)
-            .then(response => {
-                callback(true, response)
-            }).catch((error) => {
-            callback(false, error)
-        })
-
-    },
-
-    fetchJobAdvertisementsByRecruiter: (recruiterId, callback) => {
-        return dispatch => {
-            let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
-            axios.get("/job-advertisements/recruiter/" + recruiterId)
-                .then(response => {
-                    dispatch({
-                        type: FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER,
-                        jobAdvertisementsByRecruiter: response.data,
-                    })
-                    callback(true, response)
-                }).catch((error) => {
-                callback(false, error)
-            })
-        }
-    },
-
-    fetchJobAdvertisementsByRecruiterProfile: (recruiterId, callback) => {
-        return dispatch => {
-            let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
-            axios.get("/job-advertisements/recruiter/" + recruiterId)
-                .then(response => {
-                    callback(true, response)
-                }).catch((error) => {
-                callback(false, error)
-            })
-        }
-    },
-
-    filterJobAdvertisementsByRecruiter: (id, filter, callback) => {
-
-        let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
-        axios.post("/job-advertisements/recruiter/" + id + "/filtered", filter)
-            .then(response => {
-                callback(true, response)
-            }).catch((error) => {
-            callback(false, error)
-        })
-
-    },
-
-    fetchRecruiterDetailsById: (id, callback) => {
-        axios.get("/recruiter/" + id + "/info")
-            .then(response => {
-                callback(true, response)
-            }).catch(error => {
-            callback(false, error)
-        })
-    }
-}
Index: jobvista-frontend/src/redux/actions/recruiterActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/recruiterActions.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,66 +1,0 @@
-
-import axios from "../../axios/axiosInstance";
-import {SET_LOGO_URL} from "../actionTypes";
-export const RecruiterActions =  {
-    submitLogo: (formData, callback) => {
-        let recruiterId = formData.get("recruiterId");
-        let logoFile =  formData.get("logoFile")
-        return dispatch => {
-            axios.post("/recruiter/submit-logo", formData, {
-                headers: {
-                    'Content-Type': 'multipart/form-data'
-                }
-            })
-                .then(response => {
-                    const blob = new Blob([logoFile])
-                    const logoUrl = window.URL.createObjectURL(blob);
-                    dispatch({
-                        type: SET_LOGO_URL,
-                        payload: { recruiterId, logoUrl }
-                    });
-                    callback(true, response)
-                }).catch(error => {
-                    callback(false, error)
-            })
-        }
-    },
-
-    downloadLogo: (recruiterId, callback) => {
-        return dispatch => {
-            return axios.get("/recruiter/" + recruiterId + "/download-logo", {responseType: "blob"})
-                .then(response => {
-                    const blob = new Blob([response.data])
-                    const logoUrl = window.URL.createObjectURL(blob);
-                    dispatch({
-                        type: SET_LOGO_URL,
-                        payload: { recruiterId, logoUrl }
-                    });
-                    callback(true, logoUrl);
-                }).catch(error => {
-                    callback(false, error)
-                })
-        }
-    },
-
-    fetchRecruiterEditDetailsById: (id, callback) => {
-        return dispatch => {
-            return axios.get("/recruiter/"+id+"/edit-info")
-                .then(response => {
-                    callback(true, response)
-                }).catch(error => {
-                    callback(false, error)
-                })
-        }
-    },
-
-    editRecruiterDetailsById: (data, id, callback) => {
-        return dispatch => {
-            return axios.post("/recruiter/"+id+"/edit-info", data)
-                .then(response => {
-                    callback(true, response)
-                }).catch(error => {
-                    callback(false, error)
-                })
-        }
-    }
-}
Index: jobvista-frontend/src/redux/reducers/adminReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/adminReducer.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,31 +1,0 @@
-import {CHANGE_ACCESS, FETCH_RECRUITERS} from "../actionTypes";
-import {sortElementsBy} from "../../utils/utils";
-
-const initialState = {
-    recruiters: [],
-}
-
-const AdminReducer = (state = initialState, action) => {
-    switch (action.type) {
-        case FETCH_RECRUITERS:
-            return {
-                ...state,
-                recruiters: sortElementsBy(action.recruiters, "registeredOn")
-            }
-        case CHANGE_ACCESS:
-            return {
-                ...state,
-                recruiters: state.recruiters.map(recruiter =>
-                recruiter.id === action.recruiter.id ?
-                    {...recruiter, hasAccess: action.recruiter.hasAccess} :
-                    recruiter
-                )
-            }
-        default:
-            return {
-                ...state,
-            };
-    }
-}
-
-export default AdminReducer
Index: jobvista-frontend/src/redux/reducers/applicationReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/applicationReducer.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,50 +1,0 @@
-import {
-    CURRENT_USER,
-    FETCH_APPLICATIONS_BY_JOB_ID,
-    FETCH_APPLICATIONS_BY_JOB_SEEKER_ID,
-    SUBMIT_APPLICATION, UPDATE_APPLICATION_STATUS
-} from "../actionTypes";
-
-const initialState = {
-    applicationsByJobSeeker: [],
-    applicationsByJobAdId: []
-}
-
-let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER))
-
-export const ApplicationReducer = (state = initialState, action) => {
-    let applications;
-
-    switch (action.type) {
-        case SUBMIT_APPLICATION:
-            return {
-                ...state,
-                applicationsByJobSeeker: [...state.applicationsByJobSeeker, action.application]
-            }
-        case UPDATE_APPLICATION_STATUS:
-            return {
-                ...state,
-                applicationsByJobAdId: state.applicationsByJobAdId.map(application =>
-                application.id === action.application.id ?
-                    {...application, status: action.application.status} :
-                    application
-                )
-            }
-        case FETCH_APPLICATIONS_BY_JOB_ID:
-            return {
-                ...state,
-                applicationsByJobAdId: action.applicationsByJobAdId
-            }
-        case FETCH_APPLICATIONS_BY_JOB_SEEKER_ID:
-            return {
-                ...state,
-                applicationsByJobSeeker: action.applicationsByJobSeeker
-            }
-        default:
-            return {
-                ...state,
-            };
-    }
-}
-
-export default ApplicationReducer
Index: jobvista-frontend/src/redux/reducers/authReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/authReducer.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-frontend/src/redux/reducers/authReducer.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -3,5 +3,4 @@
 import {isExpired} from "react-jwt";
 import {CURRENT_USER, SIGN_IN, SIGN_OUT, UPDATE_TOKEN} from "../actionTypes";
-import {jwtDecode} from "jwt-decode";
 
 const initialState = {
@@ -14,5 +13,5 @@
         case SIGN_IN:
             localStorage.setItem(AUTH_TOKEN, action.payload.token);
-            //localStorage.setItem(CURRENT_USER, JSON.stringify(action.payload.user));
+            localStorage.setItem(CURRENT_USER, JSON.stringify(action.payload.user));
             return {
                 ...state,
@@ -22,24 +21,10 @@
         case UPDATE_TOKEN:
             let token = action.payload;
-            let decodedToken;
-            let currentUser = "";
-            if(token !=null) {
-                try {
-                    decodedToken = jwtDecode(token);
-                } catch (error) {
-                    console.log("Failed to decode token: " + error)
-                }
-            }
-
+            let currentUser = null
             if(!isExpired(token)) {
                 localStorage.setItem(AUTH_TOKEN, token);
-                currentUser = {
-                    name: decodedToken.name,
-                    role: decodedToken.role,
-                    access: decodedToken.access,
-                    id: decodedToken.id
-                };
+                currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
             } else {
-                //localStorage.removeItem(CURRENT_USER);
+                localStorage.removeItem(CURRENT_USER);
                 localStorage.removeItem(AUTH_TOKEN);
                 currentUser = "";
@@ -52,10 +37,11 @@
             };
         case SIGN_OUT:
-            //localStorage.removeItem(CURRENT_USER);
+            console.log("BRISAM")
+            localStorage.removeItem(CURRENT_USER);
             localStorage.removeItem(AUTH_TOKEN);
             return {
                 ...state,
-                currentUser: "",
-                token: "",
+                currentUser: null,
+                token: null
             }
 
Index: jobvista-frontend/src/redux/reducers/imagesReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/imagesReducer.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,32 +1,0 @@
-import {SET_LOGO_URL, SET_PROFILE_PIC_URL} from "../actionTypes";
-
-const initialState = {
-    profilePictures: {},
-    logos: {}
-}
-
-const ImagesReducer = (state = initialState, action) => {
-
-    switch (action.type) {
-        case SET_PROFILE_PIC_URL:
-            return{
-                ...state,
-                profilePictures: {
-                   ...state.profilePictures, [action.payload.jobSeekerId]: action.payload.profilePicUrl
-                }
-            }
-        case SET_LOGO_URL:
-            return {
-                ...state,
-                logos: {
-                    ...state.logos, [action.payload.recruiterId]: action.payload.logoUrl
-                }
-            }
-        default:
-            return {
-                ...state,
-            };
-    }
-}
-
-export default ImagesReducer
Index: jobvista-frontend/src/redux/reducers/jobAdvertisementReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/jobAdvertisementReducer.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,69 +1,0 @@
-import {
-    ADD_JOB_ADVERTISEMENT,
-    CURRENT_USER,
-    DELETE_JOB_ADVERTISEMENT,
-    EDIT_JOB_ADVERTISEMENT,
-    FETCH_JOB_ADVERTISEMENTS,
-    FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER,
-    FILTER_JOB_ADVERTISEMENTS,
-    FILTER_JOB_ADVERTISEMENTS_BY_RECRUITER,
-    SET_LOGO_URL
-} from "../actionTypes";
-import {sortElementsBy} from "../../utils/utils";
-import {useSelector} from "react-redux";
-
-const initialState = {
-    jobAdvertisements: [],
-    jobAdvertisementsByRecruiter: []
-}
-
-let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER))
-export const JobAdvertisementReducer = (state = initialState, action) => {
-    let jobAdvertisements;
-    let jobAdvertisementsByRecruiter;
-    switch (action.type) {
-        case ADD_JOB_ADVERTISEMENT:
-
-            return {
-                ...state,
-                jobAdvertisements: sortElementsBy([...state.jobAdvertisements, action.jobAdvertisement]),
-                jobAdvertisementsByRecruiter: sortElementsBy([...state.jobAdvertisementsByRecruiter, action.jobAdvertisement], "postedOn")
-            }
-        case EDIT_JOB_ADVERTISEMENT:
-            jobAdvertisements = state.jobAdvertisements.filter(jobAd => jobAd.id !== action.jobAdvertisement.id)
-            jobAdvertisementsByRecruiter = state.jobAdvertisementsByRecruiter.filter(jobAd => jobAd.id !== action.jobAdvertisement.id)
-
-            return {
-                jobAdvertisements: sortElementsBy([...jobAdvertisements, action.jobAdvertisement], "postedOn"),
-                jobAdvertisementsByRecruiter: sortElementsBy([...jobAdvertisementsByRecruiter, action.jobAdvertisement], "postedOn")
-            }
-        case DELETE_JOB_ADVERTISEMENT:
-            jobAdvertisements = state.jobAdvertisements.filter(jobAd => jobAd.id !== action.id)
-            jobAdvertisementsByRecruiter = state.jobAdvertisementsByRecruiter.filter(jobAd => jobAd.id !== action.id)
-
-            return {
-                jobAdvertisements: sortElementsBy([...jobAdvertisements], "postedOn"),
-                jobAdvertisementsByRecruiter: sortElementsBy([...jobAdvertisementsByRecruiter], "postedOn")
-            }
-
-        case FETCH_JOB_ADVERTISEMENTS:
-            return {
-                ...state,
-                jobAdvertisements: sortElementsBy(action.jobAdvertisements, "postedOn")
-            }
-
-
-        case FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER:
-            return {
-                ...state,
-                jobAdvertisementsByRecruiter: sortElementsBy(action.jobAdvertisementsByRecruiter, "postedOn")
-            }
-
-        default:
-            return {
-                ...state,
-            };
-    }
-}
-
-export default JobAdvertisementReducer
Index: jobvista-frontend/src/redux/store.js
===================================================================
--- jobvista-frontend/src/redux/store.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-frontend/src/redux/store.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -2,9 +2,5 @@
 import { combineReducers } from 'redux';
 import authReducer from "./reducers/authReducer";
-import jobAdReducer from "./reducers/jobAdvertisementReducer";
-import applicationReducer from "./reducers/applicationReducer"
-import adminReducer from "./reducers/adminReducer"
-import {AdminActions} from "./actions/adminActions";
-import ImagesReducer from "./reducers/imagesReducer";
+import { thunk } from 'redux-thunk';
 
 // const rootReducer = combineReducers({
@@ -19,9 +15,5 @@
 export const store = configureStore({
     reducer: {
-        auth: authReducer,
-        jobAd: jobAdReducer,
-        appl: applicationReducer,
-        admin: adminReducer,
-        images: ImagesReducer
+        auth: authReducer
     },
 });
